package com.clx.performance.param.pay;



/**
 * 
 * @author xujianke
 * @date 2017年6月01日
 * @description
 */
public class NotifyString extends Result<String> {
	/** 支付操作 参考<MessageTypeEnum> */
	private Integer action;
	/** 交易单号 */
	private String orderNo;
	/** 支付请求唯一ID */
	private String uuid;
	/** 出错时的交易单元编号 */
	private String errorNo;
	
	public NotifyString(){
		super();
	}
	public NotifyString(Result<String> ret){
		this.setCode(ret.getCode());
		this.setMsg(ret.getMsg());
		this.setData(ret.getData());
	}
	public NotifyString(ResultEnum e) {
		super(e);
	}
	public String getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	public String getUuid() {
		return uuid;
	}
	public void setUuid(String uuid) {
		this.uuid = uuid;
	}
	public Integer getAction() {
		return action;
	}
	public void setAction(Integer action) {
		this.action = action;
	}
	public String getErrorNo() {
		return errorNo;
	}
	public void setErrorNo(String errorNo) {
		this.errorNo = errorNo;
	}
	@Override
	public String toString() {
		return "NotifyString [action=" + action + ", orderNo=" + orderNo + ", uuid=" + uuid
				+ ", errorNo=" + errorNo + ", toString()=" + super.toString() + "]";
	}


}
